.TH qemu-init 8 "October 30, 2019" qemu-init
.SH NAME
qemu-init \- init functions for virtual machines
.SH SYNOPSIS
\fBqemu-init\fR \fI [ start | stop | restart | config | status ] <name>\fR
.SH TERMS
The term \fBqemu-init\fR is explizitly used for the program \fBQLIBDIR/qemu-init\fR
here. The package will be called \fIqemu-init package\fR.

.SH DESCRIPTION
The program \fBqemu-init\fR provides the core functions to start, stop and show
some information of a virtual machine handled by the \fIqemu-init package\fR.
\fI<name>\fR is the unique identifier, the virtual machine MUST be registered.

\fBqemu-cmd\fR requires that the monitor is accesible through tcp. This is the
default by using \fBqemu-init\fR.

.SH OPTIONS
.TP 10
.I start
Start virtual machine \fIname\fR. The \fIstart\fR function has one exception: It
can start a virtual machine with the full path to \fI<name>-qemu.rc\fR too (instead
of \fI<name>\fR).
.TP 10
.I stop
Stop virtual machine \fIname\fR.
.TP 10
.I restart
Restart virtual machine \fIname\fR. Internal first \fIstop\fR and then
\fIstart\fR will be called.
.TP 10
.I config
Show config file settings from \fI<name>-qemu.rc\fR of virtual machine \fIname\fR.
.TP 10
.I status
Show runtime settings of virtual machine \fIname\fR.

.SH AUTHOR
Kai Peter (©2019)
.SH SEE ALSO
qemu-adm(8),qemud(8),qemu-init(5)
