.TH qemud 8 "December 12, 2017" qemu-init
.SH NAME
qemud \- wrapper to invoke \fBqemu-init\fR
.SH SYNOPSIS
\fBqemud\fR \fI start | stop | status\fR
.SH DESCRIPTION
\fBqemud\fR runs \fBqemu-init\fR for all registered virtual machines in \fIQETCDIR/qemu-init.reg\fR
with the given option. The options \fBstop\fR and \fBstatus\fR will be executed for all registered
virtual machines always.

With the \fIstart\fR option \fBqemud\fR checks the autostart value from \fIQETCDIR/qemu-init.reg\fR
for each registered machine. If it is set to ON, \fBqemud\fR invokes \fBqemu-init\fR to start the
virtual machine.

\fBqemud\fR is designed to be included into the init process of a system. Recommended place to do this
is the local part of the init system, where local part means where user defined processes have to be
configured to be started/stopped.
.SH AUTHOR
Kai Peter (©2017)
.SH SEE ALSO
qemu-adm(8)
